<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE rmi PUBLIC "-//BEA Systems, Inc.//RMI Runtime DTD 1.0//EN" "rmi.dtd">
<rmi
    name="q41bOfertasBolsaManagerEJB.q41bOfertasBolsaManagerBean_i0ub9b_EOImpl"
>
<cluster
    clusterable="true"
    load-algorithm="random"
    propagate-environment="true"
>
</cluster>

<lifecycle
    dgc-policy="managed"
>
</lifecycle>

<method
    name="getListaOfertasBolsa(q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPKey)"
>
</method>
<method
    name="recuperar(q41bObjectValue.q41bOfertasBolsa.q41bOfertasBolsaPKey)"
>
</method>
<method
    name="insertar(q41bObjectValue.q41bOfertasBolsa.q41bOfertasBolsaPersistente,java.lang.String)"
>
</method>
<method
    name="modificar(q41bObjectValue.q41bOfertasBolsa.q41bOfertasBolsaPersistente,java.lang.String)"
>
</method>
<method
    name="eliminar(q41bObjectValue.q41bOfertasBolsa.q41bOfertasBolsaPersistente)"
>
</method>
<method
    name="recuperaFichero(java.lang.String,javax.servlet.http.HttpServletResponse)"
>
</method>
<method
    name="tieneInscritos(q41bObjectValue.q41bOfertasBolsa.q41bOfertasBolsaPKey)"
>
</method>
<method
    name="borrar(q41bObjectValue.q41bOfertasBolsa.q41bOfertasBolsaPersistente)"
>
</method>
<method
    name="generarListados(q41bObjectValue.q41bOfertasBolsa.q41bOfertasBolsaPersistente,java.lang.String)"
>
</method>
<method
    name="generarListadoGlobal(q41bObjectValue.q41bOfertasBolsa.q41bOfertasBolsaPersistente,java.lang.String)"
>
</method>
<method
    name="modificarBytes(q41bObjectValue.q41bOfertasBolsa.q41bOfertasBolsaPersistente,byte[],byte[],java.lang.String)"
>
</method>
<method
    name="modificarBytesToConvocatoria(q41bObjectValue.q41bOfertasBolsa.q41bOfertasBolsaPersistente,byte[],java.lang.String)"
>
</method>
<method
    name="recuperaDocumentoListaFinal(q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPersistent,javax.servlet.http.HttpServletResponse)"
>
</method>
<method
    name="recuperaDocumentoPDFExcel(q41bObjectValue.q41bOfertasBolsa.q41bOfertasBolsaPersistente,javax.servlet.http.HttpServletResponse,java.lang.String)"
>
</method>
<method
    name="getEJBHome()"
>
</method>
<method
    name="getPrimaryKey()"
>
</method>
<method
    name="remove()"
>
</method>
<method
    name="getHandle()"
>
</method>
<method
    name="isIdentical(javax.ejb.EJBObject)"
>
</method>

<security
    client-authentication="supported"
    client-cert-authentication="supported"
    identity-assertion="supported"
    confidentiality="supported"
    integrity="supported"
>
</security>

</rmi>
